> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get orders

> Get the order book for a sub-account.



## OpenAPI

````yaml /en/openapi/tcbs-v1.yaml get /aion/v1/accounts/{accountNo}/orders
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
paths:
  /aion/v1/accounts/{accountNo}/orders:
    get:
      summary: Get orders
      description: Get the order book for a sub-account.
      parameters:
        - name: accountNo
          in: path
          required: true
          description: Sub-account number, e.g. 0001170730.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  orders:
                    type: array
                    items:
                      type: object
                    description: List of orders in the order book.
                  orders[].orderId:
                    type: string
                    description: Order ID.
                  orders[].symbol:
                    type: string
                    description: Stock symbol.
                  orders[].execType:
                    type: string
                    description: Trading direction (NB/NS).
                  orders[].price:
                    type: integer
                    format: int64
                    description: Order price.
                  orders[].quantity:
                    type: integer
                    format: int64
                    description: Order quantity.
                  orders[].status:
                    type: string
                    description: Order status.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.